#
#     compare contents of descript.fil and reserved.dat
#     if keyword is both in descript.fil and reserved.dat then
#     the description in descript.fil should be 'reserved'
#     if the description in descript.fil is reserved then the
#     keyword should be present in reserved.dat
#
#     read keywords with comments from reserved.dat and put
#     in array comment1(keyword)
#        if line starts with 'c' and number of fields >= 3 and
#           field 2 starts in position <= 9
#        then
#           read first line
#           read keyword from field 2
#        else
#           read remaining lines
#
#     get keywords from descript.fil
#        if line starts with 'c' and number of fiels >= 3 and
#           field 2 starts in position <= 9 
#        then
#           preform action on last read complete description
#             if keyword in labels then
#                if description in descript.fil is not 'reserved' then
#                print message
#             if keyword  not in labels then
#                if description in descript.fil is  'reserved' then
#                print message
#           read first line
#           read keyword from field 2
#        else
#           read remaining lines
#
#

      BEGIN {
         file="reserved.dat"

         while (getline <  file ) {
            if ( $0 ~ /^c/ ) {
               # first line of a comment
               if ( ( NF >=3 )  &&  ( index($0, $2) <=9 ) )  {
                  comment1[$2] = $0
                  varname1 = $2
               }
               # read remaining lines of a comment
               if ( varname1 != "" && (NF < 2 || index($0,$2) > 9) ) {
                  comment1[varname1] = comment1[varname1] "\n" $0
               }
            }
         }
      }
      
{
      if ( $0 ~ /^c/ ) {
         # first line of a comment
         if ( ( NF >=3 )  &&  ( index($0, $2) <=9 ) )  {

           if ( comment1[varname2] != "" ) {
#              print "Comment of " $2 " is "
#              print comment1[$2]
              if ( varname3 != "reserved") {
                 print " keyword is in reserved.dat , no reserved "
                 print " is used in file descript.fil "
                 print " contents of descript.fil "
                 print comment2[varname2]
                 print " contents of reserved.dat "
                 print comment1[varname2]
                 print "";
              }
           }
           else {
              if ( varname3 == "reserved") {
                 print " reserved is used in descript.fil	 "
                 print " but keyword not present in reserved.dat "
                 print " keyword is "
                 print varname2
                 print "";
              }
           }

           comment2[$2] = $0
           varname2 = $2
           varname3 = $3
         }

         else {
            # read remaining lines of a comment
            if ( varname2 != "" && (NF < 2 || index($0,$2) > 9) ) {
              comment2[varname2] = comment2[varname2] "\n" $0
            }
         } 

      }

}
#

