      program channel
      implicit none

      integer nbuffr
      parameter( nbuffr = 4000000 )
      integer ibuffr
      common ibuffr(nbuffr)

      call ismain( nbuffr )

      end
      
      function usfuni ( ichoice, x, y, z, t )

c     User written function subroutine. It gives
c     the user the opportunity to define a
c     boundary condition as a function of space
c     and time.

      implicit none      

      double precision usfuni, x, y, z, t
      integer ichoice

      on real underflow ignore

c     x        i    x-coordinate 
c     y        i    y-coordinate 
c     t        i    actual time 
c     ichoice  i    choice parameter given by the user input
c     usfunb   o    computed boundary condition


         if ( ichoice.eq.1 ) then
         
            if (x.le.5d-1) then
               usfuni = 1.0d0 
            else
               usfuni = 0.1d0
            end if
         
         else if ( ichoice.eq.2 ) then 
         
          if (x.le.5d-1) then
             usfuni = 3.5d0
          else
             usfuni = 2.8d0 
          end if         
        
         end if

      end
