      program wbtrnsp
      implicit none

      integer nbuffr
      parameter( nbuffr = 4000000 )
      integer ibuffr
      common ibuffr(nbuffr)

      call ismain( nbuffr )

      end

      function usfunc1 ( ichoice, x, y, z, t, soluts, ndegfd )

c     User written function subroutine. It gives
c     the user the opportunity to define a
c     coefficient as a function of space, time and previously computed
c     solutions.

      implicit none      

      integer ichoice, ndegfd
      double precision usfunc1, x, y, z, t, soluts(ndegfd)

c     x        i    x-coordinate 
c     y        i    y-coordinate 
c     t        i    actual time 
c     ichoice  i    choice parameter given by the user input
c     soluts   i    array containing the solution at the previous level
c                   in the node
c     ndegfd   i    Length of array soluts
c     usfunc1  o    computed coefficient


         if ( ichoice.eq.1 ) then
            if (x.le.2 ) then
              usfunc1 = 3d0
            else
              usfunc1 = 6d0
            end if
         end if

      end
