      function isasklet( charac )
c ======================================================================
c
c
c        programmer   Guus Segal
c        version 1.0    date   21-06-94 (Subroutine extracted from the SEPRAN
c                                        subroutine ASKLET version 1.2)
c
c
c
c   copyright (c) 1994  "Ingenieursbureau SEPRA"
c   permission to copy or distribute this software or documentation
c   in hard copy or soft copy granted only by written license
c   obtained from "Ingenieursbureau SEPRA".
c   all rights reserved. no part of this publication may be reproduced,
c   stored in a retrieval system ( e.g., in memory, disk, or core)
c   or be transmitted by any means, electronic, mechanical, photocopy,
c   recording, or otherwise, without written permission from the
c   publisher.
c
c
c ********************************************************************
c
c                         DESCRIPTION
c
c   Check if character is a letter or another type of symbol
c
c ********************************************************************
c
c                      KEYWORDS
c
c
c     interpret
c     read_cards
c ********************************************************************
c
c                      INPUT / OUTPUT    PARAMETERS
c
      implicit none
      character * 1 charac
      logical isasklet

c    charac   i  The character to be checked
c    isasklet o  Indication if the character is a letter (true) or not (false)
c ********************************************************************
c
c                COMMON BLOCKS
c
c ********************************************************************
c
c                LOCAL PARAMETERS
c

      integer iasc

c    iasc    Integer representation of character
c ********************************************************************
c
c             SUBROUTINES CALLED
c
c ********************************************************************
c
c                    I/O
c
c    none
c ********************************************************************
c
c                    ERROR MESSAGES
c
c   -
c ********************************************************************
c
c                    PSEUDO CODE
c
c   iasc := ASCII sequence number of character
c   if ( iasc in the capital letter range or corresponding to _ ) then
c      isasklet := true
c   else ( not a letter or _ )
c      isasklet := false
c ======================================================================
c
      iasc = ichar(charac)

      if ( iasc.ge.65 .and. iasc.le.90 .or. charac.eq.'_' ) then

c     --- 65 <= iasc <= 90:  Capital letter

         isasklet = .true.

      else

         isasklet = .false.

      end if

      end
