      subroutine isaskupc ( textin )
c ======================================================================
c
c
c        programmer     Guus Segal
c        version 1.0    date   21-06-94 (Subroutine extracted from the SEPRAN
c                                        subroutine ASKUPC version 1.1)
c
c
c
c   copyright (c) 1994  "Ingenieursbureau SEPRA"
c   permission to copy or distribute this software or documentation
c   in hard copy or soft copy granted only by written license
c   obtained from "Ingenieursbureau SEPRA".
c   all rights reserved. no part of this publication may be reproduced,
c   stored in a retrieval system ( e.g., in memory, disk, or core)
c   or be transmitted by any means, electronic, mechanical, photocopy,
c   recording, or otherwise, without written permission from the
c   publisher.
c
c
c ********************************************************************
c
c                         DESCRIPTION
c
c   replace all lower case letters in TEXTIN into upper case letters
c
c ********************************************************************
c
c                      KEYWORDS
c
c     upper_case
c ********************************************************************
c
c                      INPUT / OUTPUT    PARAMETERS
c
      implicit none
      character *(*) textin

c     textin   i  Text to be translated from lower case to upper case
c                 The text may contain other characters also, which are left
c                 unchanged
c ********************************************************************
c
c                      COMMON BLOCKS
c
c ********************************************************************
c
c             SUBROUTINES CALLED
c
c  -
c ********************************************************************
c
c                    LOCAL PARAMETERS
c
      integer i, ncharstr, iasc

c     i         General loop variable
c     iasc      Integer representation of character
c     ncharstr  Number of characters in string
c ********************************************************************
c
c                    I/O
c
c    none
c ********************************************************************
c
c                    ERROR MESSAGES
c
c   -
c ********************************************************************
c
c                    PSEUDO CODE
c
c    ncharstr := len(textin)
c    for i := 1 (1) ncharstr do
c       if ( textin(i:i) an ASCII lower case letter ) then
c          translate to upper case
c ======================================================================
c
      ncharstr = len(textin)

      do 100 i = 1, ncharstr

         iasc = ichar( textin(i:i) )
         if ( iasc .ge. 97 .and. iasc .le. 122 )
     +       textin(i:i) = char(iasc-32)

100   continue

      end
