      subroutine iseropen ( namelc )
c
c ====================================================================
c        Programmer     Guus Segal
c        version 1.0    date   21-06-94 (Extracted from the SEPRAN subroutine
c                                        eropen version 1.1)
c
c
c     copyright (c) 1994  "Ingenieursbureau SEPRA"
c     Permission to copy or distribute this software or documentation
c     in hard copy or soft copy granted only by written license
c     obtained from "Ingenieursbureau SEPRA"
c     All rights reserved. No part of this publication may be
c     reproduced, stored in a retrieval system (e.g., in memory, disk,
c     or core) or be transmitted by any means, electronic, mechanical,
c     photocopy, recording, or otherwise, without written Permission
c     from the publisher.
c
c
c ********************************************************************
c
c                         DESCRIPTION
c
c    concatenates the name of the local subroutine
c    to the parameter name in common cismessg/cismessc separated by a colon :
c ********************************************************************
c
c                      KEYWORDS
c
c     concatenate
c ********************************************************************
c
c             INPUT / OUTPUT    PARAMETERS
c
      implicit none
      character*(*) namelc

c     namelc   i    Name of local subroutine that must be concatenated
c ********************************************************************
c
c             COMMON BLOCKS
c
      include 'IScommon/cismessg'
      include 'IScommon/cismessc'
c ********************************************************************
c
c             LOCAL PARAMETERS
c
c
c ********************************************************************
c
c             I/O
c
c
c     none.
c ********************************************************************
c
c             SUBROUTINES CALLED
c
c
c     ISERRINT  Put integer value in error message file
c     ISERRSUB  Error messages
c ********************************************************************
c
c             ERROR MESSAGES
c
c    1418   Level of subroutines more than 20
c ********************************************************************
c
c               PSEUDO CODE
c
c
c     trivial.
c ====================================================================
c

      if ( levelsub.ge.20 ) then
         call iserrint ( levelsub+1, 1 )
         call iserrint ( 20, 2 )
         call iserrsub ( 1418, 2, 0, 0 )
      else
         levelsub = levelsub + 1
         namsubs(levelsub) = namelc
      end if

      end
