      function idamax(n, dx, incx)
c
c        version 1.1    date   22-08-91 (Zdenek: no dimension, cdc, ce)
c
c     find smallest index of maximum magnitude of double precision dx.
c     idamax =  first i, i = 1 to n, to minimize  abs(dx(1-incx+i*incx))
c
      implicit double precision (a-h,o-z)
      double precision dx(*)
      idamax = 0
      if (n.le.0) return
      idamax = 1
      if (n.le.1) return
      if (incx.eq.1) go to 30
c
c        code for increments not equal to 1.
c
      dmax = abs(dx(1))
      ns = n*incx
      ii = 1
      do 20 i=1,ns,incx
         xmag = abs(dx(i))
         if (xmag.le.dmax) go to 10
         idamax = ii
         dmax = xmag
   10    ii = ii + 1
   20 continue
      return
c
c        code for increments equal to 1.
c
   30 dmax = abs(dx(1))
      do 40 i=2,n
         xmag = abs(dx(i))
         if (xmag.le.dmax) go to 40
         idamax = i
         dmax = xmag
   40 continue
      return
      end
