      subroutine usfil3 ( choice, coefs, ncoefs, icoefs,
     .                    ni, nj, nk, ndim,
     .                    coor, solut, ndegfd, time )

c     ------ dummy version and template, 3D case

c***********************************************************************
c
c     programmer   Zdenek Vlasek
c     version      1.0  18-08-92
c
c***********************************************************************
c
c     A user supplied subroutine "usfil3" is needed instead of this dummy !!!
c
c     The coefficients
c             coefs ( 1:ni, 1:nj, 1:nk, icoefs:icoefs )
c     must be filled here by the user, corresponding to his/her option
c             ...  func = choice
c     which has occured in the COEFFICIENTS part of problem description
c
c***********************************************************************

cimp      implicit none

      integer choice, ncoefs, icoefs, ni, nj, nk, ndim, ndegfd

      double precision coefs ( ni+1, nj+1, nk+1, ncoefs ),
     .                 coor  ( ni+1, nj+1, nk+1, ndim   ),
     .                 solut ( ni+1, nj+1, nk+1, ndegfd,  2 ),
     .                 time

c     *  Local variables

      integer idim, ip, jp, kp, i, j, k
      double precision sum, center(3)

c     *  Check  ndim

      if ( ndim .ne. 3 ) then
c        call iserr ( 'usfil3', 265 )
      endif

c     *  Check the value of choice here, an example:

      if ( choice.lt.1 .or. choice.ge.1 ) then
         write(*,*) 'choice =', choice
c         call iserr ( 'usfil2', 267 )
      endif

c     *  This is only a dummy version and a template

c      call iserr ( 'usfil3', 255 )
      if (.true.) stop

c     *  Loop over all cells

      do 330 kp = 1, nk
        do 320 jp = 1, nj
          do 310 ip = 1, ni

c           *  Calculate cooridnates of the central point:  center(1:ndim)

            do 200 idim = 1, ndim
              sum = 0d0

              do 130 k = 0, 1
                do 120 j = 0, 1
                  do 110 i = 0, 1
                    sum = sum + coor ( ip+i, jp+j, kp+k, idim )
110               continue
120             continue
130           continue
              center(idim) = sum / 8d0

200         continue

c           *  Fill  coefs(ip,jp,kp,icoef) ... it may depend on choice

310       continue
320     continue
330   continue

      end
